C *******************************************************************
c     ESC08c FEBRUARY 2014: VERSION ynprogs/yampot.feb14        
C *******************************************************************
c     version: nchan=1 -> Sigma(+)-proton
c              nchan=2 -> Lambda  -neutron
c              nchan=3 -> Lambda  -proton  
c--------------------------------------------------------------------
C     Model-options:
C     *********************************************************************
C     *  IMODEL = 18: Soft-Core MODEL ESC08= NN+YN-model, february 2014  *
C     *********************************************************************

C *******************************************************************

      IMPLICIT REAL*8(A-H,O-Z)
c--------------------------------------------------------------------
C     THE POTENTIALS ON THE ISOSPIN-BASIS ARE COMMUNICATED TO THE
C     CALLING PROGRAM VIA
c--------------------------------------------------------------------
      COMMON/POT/VCLL,VSIGLL,VTENLL,VSOLL,VASOLL,VSO2LL,
     .           FILL,DFILL,DDFILL,FISLL,DFISLL,DDFSLL,
     .           VCSS,VSIGSS,VTENSS,VSOSS,VASOSS,VSO2SS,
     .           FISS,DFISS,DDFISS,FISSS,DFISSS,DDFSSS,
     .           VCLS,VSIGLS,VTENLS,VSOLS,VASOLS,VSO2LS,
     .           FILS,DFILS,DDFILS,FISLS,DFISLS,DDFSLS,
     .           VCDR,VSIGDR,VTENDR,VSODR,VASODR,VSO2DR,
     .           FIDR,DFIDR,DDFIDR,FISDR,DFISDR,DDFSDR
CC   .          ,VCNN,VSIGNN,VTENNN,VSONN,VSO2NN
      COMMON/POTPRT/VPRT(12,3,3)
C *******************************************************************
C *******************************************************************
C     (MINIMAL) INSTRUCTIONS FOR USERS:
C--------------------------------------------------------------------
C     CALL HNPOT09(IMODEL,X,LINT,JSPIN,NCHAN,NBASE,IGREEN,NS) 
C -------------------------------------------------------------------
C     1. MINIMAL REQUIREMENTS FOR GETTING POTENTIALS:
C        parameters in call HNPOT09 (IMODEL: NOT REALLY USED)
C     2. IPRNTYPE=1: POTENTIALS ON ISOSPIN BASIS VIA COMMON/POT/
C        OR 
C     3. IPRNTYPE=2: POTENTIALS ON PARTICLE BASIS VIA COMMON/POTPRT/
C--------------------------------------------------------------------
C     PARAMETERS HNPOT09:
C  I) IPRNTYPE=1/2: POTENTIALS ON ISOSPIN/PARTICLE BASIS
C II) NCHAN=2  LABELS CHANNELS :
C     LAMBDA-NEUTRON=1, SIGMA(0)-NEUTRON=2, SIGMA(-)-PROTON=3
C     NCHAN=3  LABELS CHANNELS :
C     LAMBDA-PROTON =1, SIGMA(+)-NEUTRON=2, SIGMA(0)-PROTON=3
CIII) FOR NCHAN=1 (SIGMA(+)-PROTON CHANNEL) VIA
C     COMMON/POT/, NAMELY THROUGH THE POTENTIALS
C     VCDR,VSIGDR,VTENDR,VSODR,VSO2DR,FIDR,DFIDR,DDFIDR .
C -------------------------------------------------------------------
C
C     UNITS :  X IN PIM**-1, USED PIM=138.041 MEV
C              VC,VSIG,VTEN,VSO,VSO2 IN MEV**+1
C              FI IN MEV**-1 , DFI IN MEV**0 , DDFI IN MEV**+1
C
C *******************************************************************
C *******************************************************************
C     BELOW: example
c--------------------------------------------------------------------
      CHARACTER TYPV(12)*16              
      DATA TYPV/'CENTRAL','SPIN-SPIN','TENSOR','SPIN-ORBIT',
     .          'ASYMM SPIN-ORBIT','QUADR SPIN-ORBIT',
     .          'PHIC-FUNCTION','DPHIC-FUNCTION','DDPHIC-FUNCTION',
     .          'PHIS-FUNCTION','DPHIS-FUNCTION','DDPHIS-FUNCTION'/
c--------------------------------------------------------------------
      DIMENSION KSTPD(4),VI(8,4)                     
      DATA NSTPD/2/,KSTPD/20,40,100,0/,X0/0.D0/,H/0.03D0/,XMIN/0.D0/
      DATA PIM/138.041d0/,AMF/197.32d0/
c -------------------------------------------------------------------
c     setting model and channel parameters:
C -------------------------------------------------------------------
C     EXAMPLE PUTTING RUN PARAMETERS (TO BE ADAPTED BY USER):
c     1. model and channel parameters:
      data imodel/18/,nbase/2/,nchan/3/       ! ESC082014
c     2. angular momentum definition:
      data lint/0/,jspin/0/                          ! for example
c     3. choice esc-parameter set, special parameters:
      data igreen/0/,ns/3/
c     4. range points in r-space:
      data npnt/50/,xfm0/0.01d0/,dxfm/0.015d0/        ! for example
c     5. printtype: 
      data IPRNTYPE/0/
C -------------------------------------------------------------------

      open( 6,file='outpot.data')

c -------------------------------------------------------------------
c     input parameters potcall:
      if(ns.ge.1) then
      write(6,*) 'potcall: imodel,nbase,nchan=',imodel,nbase,nchan
      write(6,*) 'potcall: lint, jspin,igreen,ns=',          
     .                     lint, jspin,igreen,ns             
      endif
c -------------------------------------------------------------------
c     for use ynpot14:     
      do 1 i=1,npnt
      xfm=xfm0+(i-1)*dxfm
      x  = xfm*pim/amf
c -------------------------------------------------------------------
c     for test ynpot14, comparison with ynlp09.f etc:
c     do 1 i=1,50            
c     if(i.eq.1) then
c     x=x0+h
c     else
c     hh=h
c     do 71 ii=1,nstpd
c  71 if(i.gt.kstpd(ii)) hh=2*hh
c     x = xmin + hh
c     endif
c     xmin=x
c     xfm= x*amf/pim
c     if(mod(i,2).eq.0) goto 1
c -------------------------------------------------------------------

c -------------------------------------------------------------------
      CALL HNPOT09(IMODEL,X,LINT,JSPIN,NCHAN,NBASE,IGREEN,NS) 
c -------------------------------------------------------------------
      if(iprntype.eq.1) then
c -------------------------------------------------------------------
      write(6,99) 
      print 10, xfm,vcll,vsigll,vtenll,vsoll,vso2ll,fill,dfill,ddfill,
     .          fisll,dfisll,ddfsll,
     .          xfm,vcls,vsigls,vtenls,vsols,vso2ls,fils,dfils,ddfils,
     .          fisls,dfisls,ddfsls,
     .          xfm,vcss,vsigss,vtenss,vsoss,vso2ss,fiss,dfiss,ddfiss,
     .          fisss,dfisss,ddfsss,
     .          xfm,vcdr,vsigdr,vtendr,vsodr,vso2dr,fidr,dfidr,ddfidr,
     .          fisdr,dfisdr,ddfsdr
   10 format(' xfm=',f7.3,
     .            ' vcll =',d10.3,' vsigll=',d10.3,' vtenll=',d10.3,/,
     .        12x,' vsoll=',d10.3,' vso2ll=',d10.3,/,
     .        12x,' fill =',d10.3,'  dfill=',d10.3,' ddfill=',d10.3,/,
     .        12x,' fisll=',d10.3,' dfisll=',d10.3,' ddfsll=',d10.3,/,
     .       ' xfm=',f7.3,
     .            ' vcls =',d10.3,' vsigls=',d10.3,' vtenls=',d10.3,/,
     .        12x,' vsols=',d10.3,' vso2ls=',d10.3,/,
     .        12x,' fils =',d10.3,' dfils =',d10.3,' ddfils=',d10.3,/,
     .        12x,' fisls=',d10.3,' dfisls=',d10.3,' ddfsls=',d10.3,/,
     .       ' xfm=',f7.3,
     .            ' vcss =',d10.3,' vsigss=',d10.3,' vtenss=',d10.3,/,
     .        12x,' vsoss=',d10.3,' vso2ss=',d10.3,/,
     .        12x,' fiss =',d10.3,' dfiss =',d10.3,' ddfiss=',d10.3,/,
     .        12x,' fisss=',d10.3,' dfisss=',d10.3,' ddfsss=',d10.3,/,
     .       ' xfm=',f7.3,
     .            ' vcdr =',d10.3,' vsigdr=',d10.3,' vtendr=',d10.3,/,
     .        12x,' vsodr=',d10.3,' vso2dr=',d10.3,/,
     .        12x,' fidr =',d10.3,' dfidr =',d10.3,' ddfidr=',d10.3,/,   
     .        12x,' fisdr=',d10.3,' dfisdr=',d10.3,' ddfsdr=',d10.3,//)
      endif
c -------------------------------------------------------------------
      if(iprntype.eq.2) then
c -------------------------------------------------------------------
c     Potentials on the particle basis:
C ---------------------------------------------------------------------
C     WRITING THE POTENTIALS:
C     NOMENCLATURE :
C     VPRT(1,*,*) = CENTRAL POTENTIAL , VPRT(2,*,*) = SPIN-SPIN POTENTIAL
C     VPRT(3,*,*) = TENSOR     ,,     , VPRT(4,*,*) = SPIN-ORBIT   ,,
C     VPRT(5,*,*) = ASYMM. LS  ,,     , VPRT(6,*,*) = QUADRATIC SPIN-ORBIT,
C     VPRT(7,*,*) = PHI               , VPRT(8,*,*) = PHI' ,
C     VPRT(9,*,*) = PHI''             , VPRT(10,*,*)= PHIS    
C     VPRT(11,*,*)= PHIS'             , VPRT(12,*,*)= PHIS''.
C
      N2=6
      DO 301 IV=1,12
c     IF(NS.GE.3) THEN
       IF(IV.EQ.1) THEN
      WRITE(N2,98)
      WRITE(N2,*) ' POTENTIALS ON THE PARTICLE BASIS:'
       ENDIF
      WRITE(N2,332) XFM,TYPV(IV),(VPRT(IV,1,JJ),JJ=1,3),
     .             (VPRT(IV,2,JJ),JJ=1,3),(VPRT(IV,3,JJ),JJ=1,3)
      IF(IV.EQ.12) WRITE(N2,98)
c     ENDIF
 301  CONTINUE
 332  FORMAT(/,' XFM=',F10.4,' FM ',2X,A16,2X,3(D12.5,3X),/,
     .      39X,3(D12.5,3X),/,39X,3(D12.5,3X))
  98  FORMAT(85('='))
  99  FORMAT(/,72('-'),/)
C ---------------------------------------------------------------------
      endif
C ---------------------------------------------------------------------
    1 continue

      stop
      end













